FROM node:lts AS build

WORKDIR /app
COPY package.json yarn.lock ./
RUN yarn install

COPY . ./
RUN yarn build

FROM nginx:1.25-alpine3.18
COPY --from=build /app/build /app
COPY data /app/data
COPY nginx.conf /etc/nginx/nginx.conf
HEALTHCHECK CMD curl -fsS -m 10 -o /dev/null http://localhost:8080
